package cn.com.qmth.examcloud.service.examwork.entity;

import java.io.Serializable;

import javax.persistence.*;
import javax.validation.constraints.NotNull;

/**
 * Created by songyue on 17/1/13.
 */
@Entity
@Table(name = "ecs_exam_student")
public class ExamStudent implements Serializable {

	private static final long serialVersionUID = 757531976286006550L;

	@Id
	@GeneratedValue
	private long id;

	@NotNull
	private String name;

	@ManyToOne
	@JoinColumn(name = "examId")
	private Exam exam;
	/**
	 * 学校id
	 */
	@NotNull
    private Long rootOrgId;
	/**
	 * 学习中心id
	 */
    private Long orgId;
	/**
	 * 学习中心code
	 */
    private Long orgCode;

	private String studentCode;

	private String identityNumber;

	private String examNumber;

	private String courseCode;

	private String courseName;
	
	private String courseLevel;
	
	/**
	 * 试卷类型
	 */
	private String examType;
	/**
	 * 学位
	 */
	private boolean degree;

	private String specialtyName;
	
	/**
	 * 专业类型
	 */
	private String specialtyType;
	
	/**
	 * 是否重修
	 */
	private boolean repair;
	
	/**
	 * 年级
	 */
	private String grade;
	/**
	 * 是否毕业
	 */
	private boolean graduated;

	private String remark;
	
	/**
	 * 是否缺考 
	 */
	private boolean finished;

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}

	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Exam getExam() {
		return exam;
	}

	public void setExam(Exam exam) {
		this.exam = exam;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

	public String getExamNumber() {
		return examNumber;
	}

	public void setExamNumber(String examNumber) {
		this.examNumber = examNumber;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public boolean isDegree() {
		return degree;
	}

	public void setDegree(boolean degree) {
		this.degree = degree;
	}

	public String getSpecialtyName() {
		return specialtyName;
	}

	public void setSpecialtyName(String specialtyName) {
		this.specialtyName = specialtyName;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public boolean isFinished() {
		return finished;
	}

	public void setFinished(boolean finished) {
		this.finished = finished;
	}

	public String getSpecialtyType() {
		return specialtyType;
	}

	public void setSpecialtyType(String specialtyType) {
		this.specialtyType = specialtyType;
	}

	public boolean isRepair() {
		return repair;
	}

	public void setRepair(boolean repair) {
		this.repair = repair;
	}

	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}

	public boolean isGraduated() {
		return graduated;
	}

	public void setGraduated(boolean graduated) {
		this.graduated = graduated;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public Long getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(Long orgCode) {
		this.orgCode = orgCode;
	}

	public String getExamType() {
		return examType;
	}

	public void setExamType(String examType) {
		this.examType = examType;
	}

	public String getCourseLevel() {
		return courseLevel;
	}

	public void setCourseLevel(String courseLevel) {
		this.courseLevel = courseLevel;
	}

	public ExamStudent() {
	}
}
